Subject: Re: [BUG/WIP PATCH] unit-tests: use clean test environment

From: Junio C Hamano <[email-masked]>
Date: Mon, 03 Mar 2025 06:07:29 -0800

Patrick Steinhardt <[email-masked]> writes:

> Maybe. I guess for unit tests it's a lot less clear cut as most of the
> tests won't depend on such a controlled environment. So sanitizing the
> environment would be a good enough first step for me, and if we see
> demand for making specific information available to lots of tests we
> could still start to expose those at a later point.

Fair enough.

To put it another way, if you write a test and if it gets affected
by externalities, perhaps you are testing a function that is at too
high a level that is not a suitable target for unit tested?

I am thinking about the recent "make repo-config callable with
repo==NULL outside a repository" topic, for example, and I suspect
repo_config() is in a layer that is at a bit too high for suitable
unit test target.

Thanks.